'use strict';

const jsxRuntime = require('react/jsx-runtime');
const formPageSkeleton = require('./form-page-skeleton.cjs');
const listPageSkeleton = require('./list-page-skeleton.cjs');
const postPageSkeleton = require('./post-page-skeleton.cjs');

function FormLoading() {
  return /* @__PURE__ */ jsxRuntime.jsx("div", { "data-testid": "form-skeleton", children: /* @__PURE__ */ jsxRuntime.jsx(formPageSkeleton.FormPageSkeleton, {}) });
}
function PostsLoading() {
  return /* @__PURE__ */ jsxRuntime.jsx("div", { "data-testid": "posts-skeleton", children: /* @__PURE__ */ jsxRuntime.jsx(listPageSkeleton.ListPageSkeleton, {}) });
}
function PostLoading() {
  return /* @__PURE__ */ jsxRuntime.jsx("div", { "data-testid": "post-skeleton", children: /* @__PURE__ */ jsxRuntime.jsx(postPageSkeleton.PostPageSkeleton, {}) });
}

exports.FormLoading = FormLoading;
exports.PostLoading = PostLoading;
exports.PostsLoading = PostsLoading;
